local oldAIBrain = AIBrain 
AIBrain = Class(oldAIBrain) { 

	OnSpawnPreBuiltUnits = function(self)
        local factionIndex = self:GetFactionIndex()
        local resourceStructures = nil
        local initialUnits = nil
        local posX, posY = self:GetArmyStartPos()

	#see lua/ui/game/help/unitdescription.lua for definitions of unit codes

	#UEF = 1 Aeon = 2 Cybran = 3
        if factionIndex == 1 then 
			resourceStructures = { 'UEB1302', 'UEB1302', 'UEB1302', 'UEB1302', 'UEB1201' }
			initialUnits = { 'UEB0301', 'UEB1302', 'UEB1302', 'UEB1302', 'UEB1302', 'UEB1201' }
        elseif factionIndex == 2 then 
			resourceStructures = { 'UAB1302', 'UAB1302', 'UAB1302', 'UAB1302', 'UAB1201'  }
			initialUnits = { 'UAB0301', 'UAB1302', 'UAB1302', 'UAB1302', 'UAB1302', 'UAB1201' }
        elseif factionIndex == 3 then
			resourceStructures = { 'URB1302', 'URB1302', 'URB1302', 'URB1302','URB1201'  }
			initialUnits = { 'URB0301', 'URB1302', 'URB1302', 'URB1302', 'URB1302', 'URB1201' }
        end

        if resourceStructures then
    		# place resource structures down
    		for k, v in resourceStructures do
    			self:CreateResourceBuildingNearest(v, posX, posY)
    		end
    	end

		if initialUnits then
    		# place initial units down
    		for k, v in initialUnits do
    			self:CreateUnitNearSpot(v, posX, posY)
    		end
    	end

		self.PreBuilt = true
		oldAIBrain.OnSpawnPreBuiltUnits(self)

	end,


}
